LibreOffice: XExtendedFilterDetection Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XExtendedFilterDetection Interface Referencepublished

provides a "deep" filter detection More...

`import "XExtendedFilterDetection.idl";`

Inheritance diagram for XExtendedFilterDetection:

## Public Member Functions
string | detect ([inout] sequence< com::sun::star::beans::PropertyValue > Descriptor)
| controls agreement of a "flat" TypeDetection with given URL or arguments
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides a "deep" filter detection

A "deep" filter detection means looking into the document stream to detect the format of it. Services of type ExtendedTypeDetection must support this interface to be called from generic load mechanism of the office for that.

See also
  DetectService
  TypeDetection
  FilterFactory

## Member Function Documentation

## ◆ detect()

string detect | ( | [inout] sequence< com::sun::star::beans::PropertyValue > | Descriptor | ) |

controls agreement of a "flat" TypeDetection with given URL or arguments

Registered services in configuration, which support this interface for different mime types, will be called automatically to look into the document stream and decide which format it represent. Add the collected information about detected documents in given MediaDescriptor Descriptor. The decision must be returned as any valid type name (which specifies the detected format) or an empty value for unknown formats.

Parameters

  Descriptor | represent a MediaDescriptor which can be used to get/set information about the detected document

Returns
  an internal type name if format was detected successfully
  or an empty value for an unknown document format.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XExtendedFilterDetection.idl